Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.resource.deployment
Class AdminObject

    java.lang.Object
      org.jboss.mx.util.JBossNotificationBroadcasterSupport
          org.jboss.system.ServiceMBeanSupport
              org.jboss.resource.deployment.AdminObject

All Implemented Interfaces:
  AdminObjectMBean, javax.management.MBeanRegistration, javax.management.NotificationBroadcaster, javax.management.NotificationEmitter, org.jboss.system.Service, org.jboss.system.ServiceMBean

public class AdminObject
extends org.jboss.system.ServiceMBeanSupport
implements AdminObjectMBean

An admin object deployment

Version:
  $Revision: 1.1.2.1 $
Author:
  Adrian Brock

Field Summary
`protected String` | `jndiName` The jndi name
`protected Properties` | `properties` The properties
`protected javax.management.ObjectName` | `rarName` The resource adapter name
`protected String` | `type` The admin object type

Fields inherited from class org.jboss.system.ServiceMBeanSupport
`log, server, SERVICE_CONTROLLER_SIG, serviceName`

Fields inherited from interface org.jboss.resource.deployment.AdminObjectMBean
`OBJECT_NAME`

Fields inherited from interface org.jboss.system.ServiceMBean
`CREATE_EVENT, CREATED, DESTROY_EVENT, DESTROYED, FAILED, REGISTERED, START_EVENT, STARTED, STARTING, states, STOP_EVENT, STOPPED, STOPPING, UNREGISTERED`

Constructor Summary
`AdminObject()`

Method Summary
`protected void` | `bind(Object object)` Bind the object into jndi
`protected Object` | `createAdminObject(AdminObjectMetaData aomd)` Create the admin object
`String` | `getJNDIName()` Get the jndi name
`Properties` | `getProperties()` Get the properties
`javax.management.ObjectName` | `getRARName()` Get the rar name
`String` | `getType()` Get the interface type
`protected AdminObjectMetaData` | `retrieveAdminObjectMetaData()` Retrieve the admin object metadata
`void` | `setJNDIName(String jndiName)` Set the jndi name
`void` | `setProperties(Properties properties)` Set the properties
`void` | `setRARName(javax.management.ObjectName rarName)` Set the rar name
`void` | `setType(String type)` Set the interface type
`protected void` | `startService()`
`protected void` | `stopService()`
`protected void` | `unbind()` Unbind the object from jndi

Methods inherited from class org.jboss.system.ServiceMBeanSupport
`create, createService, destroy, destroyService, getLog, getName, getNextNotificationSequenceNumber, getObjectName, getServer, getServiceName, getState, getStateString, jbossInternalCreate, jbossInternalDescription, jbossInternalDestroy, jbossInternalLifecycle, jbossInternalStart, jbossInternalStop, postDeregister, postRegister, preDeregister, preRegister, start, stop`

Methods inherited from class org.jboss.mx.util.JBossNotificationBroadcasterSupport
`addNotificationListener, getNotificationInfo, handleNotification, removeNotificationListener, removeNotificationListener, sendNotification`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.jboss.system.ServiceMBean
`getName, getState, getStateString, jbossInternalLifecycle`

Methods inherited from interface org.jboss.system.Service
`create, destroy, start, stop`

Field Detail

### rarName

    protected javax.management.ObjectName rarName

  The resource adapter name

### type

    protected String type

  The admin object type

### properties

    protected Properties properties

  The properties

### jndiName

    protected String jndiName

  The jndi name

Constructor Detail

### AdminObject

    public AdminObject()

Method Detail

### getJNDIName

    public String getJNDIName()

  Get the jndi name

  Specified by:
    `getJNDIName` in interface `AdminObjectMBean`
  Returns:
    the jndi name

### setJNDIName

    public void setJNDIName(String jndiName)

  Set the jndi name

  Specified by:
    `setJNDIName` in interface `AdminObjectMBean`
  Parameters:
    `jndiName` - the jndi name

### getProperties

    public Properties getProperties()

  Get the properties

  Specified by:
    `getProperties` in interface `AdminObjectMBean`
  Returns:
    the properties

### setProperties

    public void setProperties(Properties properties)

  Set the properties

  Specified by:
    `setProperties` in interface `AdminObjectMBean`
  Parameters:
    `properties` - the properties

### getRARName

    public javax.management.ObjectName getRARName()

  Get the rar name

  Specified by:
    `getRARName` in interface `AdminObjectMBean`
  Returns:
    the rar name

### setRARName

    public void setRARName(javax.management.ObjectName rarName)

  Set the rar name

  Specified by:
    `setRARName` in interface `AdminObjectMBean`
  Parameters:
    `rarName` - the rar name

### getType

    public String getType()

  Get the interface type

  Specified by:
    `getType` in interface `AdminObjectMBean`
  Returns:
    the interface type

### setType

    public void setType(String type)

  Set the interface type

  Specified by:
    `setType` in interface `AdminObjectMBean`
  Parameters:
    `type` - the interface type

### startService

    protected void startService()
                         throws Exception

  Throws:
    `Exception`

### stopService

    protected void stopService()
                        throws Exception

  Throws:
    `Exception`

### retrieveAdminObjectMetaData

    protected AdminObjectMetaData retrieveAdminObjectMetaData()
                                                       throws org.jboss.deployment.DeploymentException

  Retrieve the admin object metadata

  Returns:
    the admin object metadata
  Throws:
    `org.jboss.deployment.DeploymentException` - for any error

### createAdminObject

    protected Object createAdminObject(AdminObjectMetaData aomd)
                                throws org.jboss.deployment.DeploymentException

  Create the admin object

  Parameters:
    `aomd` - the admin object metadata
  Returns:
    the admin object
  Throws:
    `org.jboss.deployment.DeploymentException` - for any error

### bind

    protected void bind(Object object)
                 throws Exception

  Bind the object into jndi

  Parameters:
    `object` - the object to bind
  Throws:
    `Exception` - for any error

### unbind

    protected void unbind()
                   throws Exception

  Unbind the object from jndi

  Throws:
    `Exception` - for any error

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.